﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace LargeNumbetOfFCExceptionsADO.Net
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public DataSet MyGridData { get; set; }
        public MainWindow()
        {
            InitializeComponent();

            MyGridData = new MainViewModel().MyData;

            foreach (DataTable table in MyGridData.Tables)
            {
                FieldLayout fl = new FieldLayout();

                foreach (DataColumn column in table.Columns)
                {
                    Field f = new Field(column.ColumnName, column.Caption);
                    f.Width = FieldLength.Auto;

                    fl.Fields.Add(f);
                }

                xdg.FieldLayouts.Add(fl);
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Random rnd = new Random();
            //MyGridData.Clear();
            //MyGridData.AcceptChanges();
            MyGridData.Tables[0].Columns.Add(new DataColumn("Dynamic Column" + rnd.Next(0,100).ToString(), typeof(int)));
            MyGridData.Tables[0].Rows.Add(rnd.Next(0, 100), rnd.Next(0, 100), rnd.Next(0, 100));

        }
    }
}
